//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  PaperLoaded.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "PaperLoaded.hpp"
#include "Scanner.hpp"
#include <ES2Command/ES2CommandAPI.h>
namespace epsonscan {
void PaperLoaded::SetValue(const SDIInt& intVal)
{
 current_ = intVal;
}
void PaperLoaded::Reset()
{
 current_ = 0;
}
void PaperLoaded::GetValue(SDIInt& intVal)
{
 Scanner* scanner = dataProvider_->GetScanner().get();
  bool isLoaded = 0;
 scanner->GetValueForKey(kESDocumentLoaded, isLoaded, kESFunctionalUnitDocumentFeeder);
 current_ = isLoaded;
 intVal = current_;
}
void PaperLoaded::GetCapability(SDICapability &capability)
{
 SetDefaultListCapability(capability);
}
ESDictionary PaperLoaded::GetEngineKeyValues()
{
 auto dict = ESDictionary();
 return dict;
}
}
