//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  acpowercombobox.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "mainwindow.h"
ACPowerComboBox::ACPowerComboBox(QWidget *parent) :
    QComboBox(parent)
{
    this->initialize(t_Off);
}
void ACPowerComboBox::initialize(Time default_item){
    changed = true;
    enabled = true;
    current_item = default_item;
}
void ACPowerComboBox::update_ui(void){
    if(changed == true){
        this->clear();
        this->set_enabled(enabled);
        this->add_item();
        this->select_item(current_item);
        changed = false;
    }
}
void ACPowerComboBox::set_enabled(bool enabled){
    if(enabled == true){
        this->setEnabled(true);
    }else {
        this->setEnabled(false);
    }
}
void ACPowerComboBox::add_item(void)
{
    int i = 0;
    this->insertItem(i++, TranslationString::GetString().translation_str.ES2U_MAIN_025, t_Off);
    this->insertItem(i++, "3", t_3);
    this->insertItem(i++, "5", t_5);
    this->insertItem(i++, "10", t_10);
    this->insertItem(i++, "15", t_15);
    this->insertItem(i++, "30", t_30);
    this->insertItem(i++, "60", t_60);
    this->insertItem(i++, "120", t_120);
    this->insertItem(i++, "240", t_240);
    this->insertItem(i++, "480", t_480);
    this->insertItem(i++, "720", t_720);
}
void ACPowerComboBox::select_item(Time select)
{
    this->setCurrentIndex(this->findData(current_item));
}
void ACPowerComboBox::item_event(int value)
{
    CONFIGURATION config_val;
    Configuration& config = Configuration::GetConfiguration();
    config_val = config.config_para;
    QVariant select_item = this->itemData(value);
    if(select_item == t_Off){
        current_item = t_Off;
    }else if(select_item == t_3){
        current_item = t_3;
    }else if(select_item == t_5){
        current_item = t_5;
    }else if(select_item == t_10){
        current_item = t_10;
    }else if(select_item == t_15){
        current_item = t_15;
    }else if(select_item == t_30){
        current_item = t_30;
    }else if(select_item == t_60){
        current_item = t_60;
    }else if(select_item == t_120){
        current_item = t_120;
    }else if(select_item == t_240){
        current_item = t_240;
    }else if(select_item == t_480){
        current_item = t_480;
    }else if(select_item == t_720){
        current_item = t_720;
    }
    changed = true;
    config_val.ac_power = current_item;
    config.SetConfiguration(config_val);
}
