//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  imageformatcomb.h -- template and derived ESC/I ESC/I-2 protocol commands

#ifndef IMAGEFORMATCOMB_H
#define IMAGEFORMATCOMB_H 
#include <QComboBox>
#include "supervisor.h"
#include "imageformatsettingsdialog.h"
class ImageFormatComb : public QComboBox
{
public:
    ImageFormatComb(QWidget *parent = 0);
    ImageFormat current_item;
    void initialize(IMAGE_FORMAT_SETTINGS_VALUE imageformat_settings_para);
    void focusOutEvent(QFocusEvent* event);
    void update_ui(IMAGE_FORMAT_SETTINGS_VALUE imageformat_settings_para);
    void item_event(int value, IMAGE_FORMAT_SETTINGS_VALUE* imageformat_settings_para);
private:
    ImageFormatSettingsDialog* imageformat_dialog;
    bool changed;
    void set_enabled(bool enabled);
    void add_item(int32_t item_list[], int32_t list_size, SDISupportLevel mTiff_support_lv);
    void add_option(int list_size);
    void select_item();
    void item_event_options(IMAGE_FORMAT_SETTINGS_VALUE* imageformat_settings_para);
};
#endif
